function [fun,dfun,ifun,x0,m,C,Ax] = zcosde
% Taylor series coefficient lists for several functions.
% Pm(x) = c(1) + c(2)x + c(2)x^2 + ... + c(m+1)x^m
% fun  is the function, output.
% dfun is the derivative, output.
% ifun is the integral, output.
% x0 is the point of expansion, output.
% m  is the degree of the polynomial, output.
% C  is the coefficient list, output.
% Ax contains three asis vectors plotting, output.
x0 = 0; 
m = 25;
a = 0;
b = 2*pi;
ymin = -0.15;
ymax = 1.05;
ymin1 = -1;
ymax1 = 0.2;
ymin2 = 0;
ymax2 = 0.7;
Ax(1,:) = [a b ymin ymax];
Ax(2,:) = [a b ymin1 ymax1];
Ax(3,:) = [a b ymin2 ymax2];
fun = 'cos(x)./exp(x)';
dfun = '-cos(x)./exp(x) - sin(x)./exp(x)';
ifun = '1/2-cos(x)./(2.*exp(x)) + sin(x)./(2.*exp(x))';
C = [-1/3786916514485104000000,
1/151476660579404160000,
-1/12623055048283680000,
0,
1/49893498214560000,
-1/2375880867360000,
1/237588086736000,
0,
-1/1389404016000,
1/81729648000,
-1/10216206000,
0,
1/97297200,
-1/7484400,
1/1247400,
0,
-1/22680,
1/2520,
-1/630,
0,
1/30,
-1/6,
1/3,
0,
-1,
1];
