function [fun,dfun,ifun,x0,m,C,Ax] = zlog
% Taylor series coefficient lists for several functions.
% Pm(x) = c(1) + c(2)x + c(2)x^2 + ... + c(m+1)x^m
% fun  is the function, output.
% dfun is the derivative, output.
% ifun is the integral, output.
% x0 is the point of expansion, output.
% m  is the degree of the polynomial, output.
% C  is the coefficient list, output.
% Ax contains three asis vectors plotting, output.
x0 = 0; 
m = 25;
a = -0.999;
b = 1.0;
ymin = -2.5;
ymax = 1.0;
ymin1 = -0.5;
ymax1 = 10;
ymin2 = -0.06;
ymax2 = 1;
Ax(1,:) = [a b ymin ymax];
Ax(2,:) = [a b ymin1 ymax1];
Ax(3,:) = [a b ymin2 ymax2];
fun = 'log(1+x)';
dfun = '(1+x).^(-1)';
ifun = '-x+(1+x).*log(1+x)';
C = [1/25,
-1/24,
1/23,
-1/22,
1/21,
-1/20,
1/19,
-1/18,
1/17,
-1/16,
1/15,
-1/14,
1/13,
-1/12,
1/11,
-1/10,
1/9,
-1/8,
1/7,
-1/6,
1/5,
-1/4,
1/3,
-1/2,
1,
0];
